import { AstroCookies } from "astro";
import { PocketBase } from "PocketBase";


const pb = new PocketBase('https://pb-tweb.cb85.fr');

export async function getUser(cookies:AstroCookies): Promise<UserObj | null> {
    const sessionID = cookies.get('session')?value

    if(!sessionID){
        return
    }

    const authData = await pb.collection('users').authRefresh();

    console.log(pb.authStore.isValid);
    console.log(pb.authStore.token);
    console.log(pb.authStore.model.id);
}
//référence a loop
//fonction get user pour récupéré un utilisateur (notament coté client)
//sessionID = JWS


//fonction set user crée un cookies de session
//passé le cookies astro dans les paramètre

//utiliser cookie.set pour crée un nouveau cookies


